
Redmine - Feature #241

Mailer sender is set as event initiator

2007-12-07 23:23 - Hans Yoon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When mail is notified, default sender is got from global settings.

But more useful notification, I made sender as event initiator such as issue editor, message poster and so on.

Now Alice add an issue note, mail notification is sent from "Alice" not remine@ yourdomain.com.

Related issues:

Related to Redmine - Patch #2406: In email notification, send a email with se... Closed

Related to Redmine - Feature #16093: Emails sent out by Redmine are identical Closed

Has duplicate Redmine - Feature #5405: change Emission mail address to the op... Closed 2010-04-29

History

#1 - 2008-01-09 20:47 - Hans Yoon

see #16922

#2 - 2011-05-11 17:53 - Etienne Massip

- Tracker changed from Patch to Feature

Think this is a duplicate, though.

#3 - 2011-05-11 17:53 - Etienne Massip

- Category set to Email notifications

#4 - 2011-05-11 22:56 - Dmitry Babenko

Implementing this feature may break one of the most terrific features - RedmineReceivingEmails.

The only way to implement it is to put in Reply-to mail header redmine's e-mails, while From will be Alice's.

Anyway, I personally prefer the current behavior.

#5 - 2019-02-11 05:29 - Go MAEDA

- Related to Feature #16093: Emails sent out by Redmine are identical added

#6 - 2019-02-11 16:14 - Go MAEDA

- Has duplicate Feature #5405: change Emission mail address to the operating user added

#7 - 2019-05-09 05:48 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in upcoming Redmine 4.1.0 (#5913).
